Subject: Re: [PATCH net-next v6 5/7] net: ethtool: Add new power limit get and set features

From: Jakub Kicinski <[email-masked]>
Date: Mon, 8 Jul 2024 11:33:00 -0700

On Mon, 8 Jul 2024 11:38:46 +0200 Kory Maincent wrote:
> > This smells of null-deref if user only passes one of the attributes.
> > But the fix should probably be in ethnl_set_pse_validate() so it won't
> > conflict (I'm speculating that it will need to go to net).  
> 
> Mmh, indeed if the netlink PSE type attribute is different with the supported
> PSE type we might have an issue here.
> 
> I am wondering, if I fix it in net won't it conflict with net-next now that
> this series is merged?

Don't worry I understand the code well enough to resolve any conflicts
(famous last words?). And if we fix as part of ethnl_set_pse_validate()
then there's no conflict, AFAICT.